Update Tenant

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/tenant

A tenant represents one of your customers within your organization. Its identifier is the value you set as tenant (or suborganization ) when you create an embed token for a user of that customer.

Tenants scope tenant-specific fields:

  • A column or formula without tenant assignments is a shared field. Every caller with access to the dataset can see it.

  • A column or formula assigned to one or more tenants is a tenant field. Embed tokens of those tenants can see it; embed tokens of other tenants cannot.

  • Callers without a tenant see every field. These are API tokens of main-organization users and embed tokens created with suborganization and tenant set to null .

Tenant visibility decides which fields a caller can see. The access rights on the dataset decide what the caller can do with the fields it sees. See Custom fields per tenant for a full setup.

Only main-organization users can manage tenants. A main-organization user is a user of your own Luzmo organization, as opposed to an embed user of one of your customers: an organization member who is not in a suborganization.

Update the name of a tenant. The identifier is immutable: updating it returns The property 'identifier' is immutable.

Request parametersResponse schema
id UUID

The unique identifier of the entity

identifier STRING

Identifier of the tenant. It is the value you set as tenant (or suborganization ) when you create an embed token for a user of this tenant.

  • Required, between 1 and 255 characters.

  • Unique within your organization.

  • Immutable after creation.

name Multilingual string

Internationalized name of the tenant, with a maximum length of 255 characters per language. Defaults to {"en": "<identifier>"} .

organization_id UUID

ID of the organization the tenant belongs to. Set automatically to the organization of the caller.

created_at DATETIME

RFC 3339 date time string indicating when the resource was created

updated_at DATETIME

RFC 3339 date time string indicating when the resource was last updated

Can be executed by:
Organization Member (main organization)
Can be associated to:
Organization
Columns
Formulas
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "508eb8ae-24f6-4f6e-a0cc-c050258af89e",
  "identifier": "suborg",
  "name": {
    "en": "< tenant name >"
  },
  "created_at": "2026-09-29T10:55:02.237Z",
  "updated_at": "2026-09-29T10:55:10.387Z",
  "organization_id": "25344a26-7bf4-4707-9d07-e6cd07319dca"
}